#ifndef MIXER_H
#define MIXER_H

#ifndef uchar
#define uchar unsigned char
#endif 

class Volume {
 public:
    Volume::Volume() { left=0; right=0; }
    Volume::Volume(uchar l,uchar r) { left=l; right=r; }
    void setvol(uchar l,uchar r) { left=l; right=r; }
    uchar getleft() { return left; }
    uchar getright() { return right; }
 private:
    uchar left;			// Left channel
    uchar right;		// Right channel
};

class Mixer : public QWidget {
 public:
    Mixer::Mixer(char *rawdev = "/dev/mixer");
    void	write_vol(Volume);
    void	write_input_1();
    void	write_input_2();
    void	write_input_3();
    void	read_input();
    Volume	Mixer::read_vol();
 private:
    int mixfd;			// Mixer descriptor
};

#endif
